Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.examples.travelingtournament.persistence
Class TravelingTournamentImporter.TravelingTournamentInputBuilder

    java.lang.Object
      org.optaplanner.examples.common.app.LoggingMain
          org.optaplanner.examples.common.persistence.AbstractSolutionImporter.InputBuilder
              org.optaplanner.examples.common.persistence.AbstractTxtSolutionImporter.TxtInputBuilder
                  org.optaplanner.examples.travelingtournament.persistence.TravelingTournamentImporter.TravelingTournamentInputBuilder

Enclosing class:
  TravelingTournamentImporter

    public static class TravelingTournamentImporter.TravelingTournamentInputBuilder

extends AbstractTxtSolutionImporter.TxtInputBuilder

Field Summary

Fields inherited from class org.optaplanner.examples.common.persistence.AbstractTxtSolutionImporter.TxtInputBuilder
`bufferedReader, inputFile`

Fields inherited from class org.optaplanner.examples.common.app.LoggingMain
`logger`

Constructor Summary
`TravelingTournamentImporter.TravelingTournamentInputBuilder()`

Method Summary
`protected void` | `initializeMatchDays(TravelingTournament travelingTournament)` Canonical pattern initialization (see papers).
`Solution` | `readSolution()`

Methods inherited from class org.optaplanner.examples.common.persistence.AbstractTxtSolutionImporter.TxtInputBuilder
`factorial, getInputId, parseBooleanFromNumber, readConstantLine, readEmptyLine, readIntegerValue, readIntegerValue, readIntegerValue, readLongValue, readLongValue, readLongValue, readOptionalStringValue, readOptionalStringValue, readOptionalStringValue, readStringValue, readStringValue, readStringValue, readUntilConstantLine, removePrefixSuffixFromLine, setBufferedReader, setInputFile, splitBy, splitBy, splitByCommaAndTrim, splitByCommaAndTrim, splitByPipelineAndTrim, splitBySemicolonSeparatedValue, splitBySpace, splitBySpace, splitBySpace, splitBySpacesOrTabs, splitBySpacesOrTabs, splitBySpacesOrTabs`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TravelingTournamentImporter.TravelingTournamentInputBuilder

    public TravelingTournamentImporter.TravelingTournamentInputBuilder()

Method Detail

### readSolution

    public Solution readSolution()
                          throws IOException

  Specified by:
    `readSolution` in class `AbstractTxtSolutionImporter.TxtInputBuilder`
  Throws:
    `IOException`

### initializeMatchDays

    protected void initializeMatchDays(TravelingTournament travelingTournament)

  Canonical pattern initialization (see papers).

  Parameters:
    `travelingTournament` - the traveling tournament

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.